package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity 
@Table(name="InfusDetail_T")
public class InfusDetail extends BaseTransaction {
	//@ManyToOne
	//@JoinColumn(name = "ObjectpembedahanDanInstruksiFk")
	//@Caption(value="Object pembedahanDanInstruksi")
	//private AsuhanKeperawatanPeriOperasiHeader pembedahanDanInstruksi;

	@Column(name = "ObjectpembedahanDanInstruksiFk", nullable=false)
	private String pembedahanDanInstruksiId;

	@ManyToOne
	@JoinColumn(name = "ObjectmacamInfusFk")
	@Caption(value="Object macamInfus")
	private Infus macamInfus;

	@Column(name = "ObjectmacamInfusFk", insertable=false, updatable=false, nullable=false)
	private Integer macamInfusId;

	@Column(name = "jumlah", nullable = true)
	@Caption(value = "jumlah")
	private String jumlah;

	@Column(name = "tetesan", nullable = true)
	@Caption(value = "tetesan")
	private String tetesan;
	
	public Infus getMacamInfus() {
		return macamInfus;
	}
	public void setMacamInfus(Infus macamInfus) {
		this.macamInfus = macamInfus;
	}
	public String getJumlah() {
		return jumlah;
	}
	public void setJumlah(String jumlah) {
		this.jumlah = jumlah;
	}
	public String getTetesan() {
		return tetesan;
	}
	public void setTetesan(String tetesan) {
		this.tetesan = tetesan;
	}
	//public PembedahanDanInstruksi getPembedahanDanInstruksi() {
	//	return pembedahanDanInstruksi;
	//}
	//public void setPembedahanDanInstruksi(PembedahanDanInstruksi pembedahanDanInstruksi) {
	//	this.pembedahanDanInstruksi = pembedahanDanInstruksi;
	//}
	
	public String getPembedahanDanInstruksiId() {
		return pembedahanDanInstruksiId;
	}
	//public AsuhanKeperawatanPeriOperasiHeader getPembedahanDanInstruksi() {
	//	return pembedahanDanInstruksi;
	//}
	//public void setPembedahanDanInstruksi(AsuhanKeperawatanPeriOperasiHeader pembedahanDanInstruksi) {
	//	this.pembedahanDanInstruksi = pembedahanDanInstruksi;
	//}
	public void setPembedahanDanInstruksiId(String pembedahanDanInstruksiId) {
		this.pembedahanDanInstruksiId = pembedahanDanInstruksiId;
	}
	public Integer getMacamInfusId() {
		return macamInfusId;
	}
	public void setMacamInfusId(Integer macamInfusId) {
		this.macamInfusId = macamInfusId;
	}
	
}
